/*
 * Minesweeper stylesheet
 * http://www.gadgety.net/shin/
 */
.main {
	display: inline-block;
	padding-left: 1em;
	padding-right: 1em;
	padding-bottom: 1em;
	text-align: left;
}
.limited {
	max-width: 36em;
}

/*
 * タイル
 */
#ground {
	margin-top: 1em;
	margin-bottom: 1em;
	border-spacing: 0px;
	background-color: #666666;
	color: #000000;
	user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
	-webkit-user-select: none;
}
.tile, .score {
	margin: 0px;
	border: 2px solid;
	border-color: #d8d8d8 #999999 #999999 #d8d8d8;
	background-color: #c8c8c8;
	padding: 0px;
	vertical-align: middle;
	text-align: center;
}
.tile {
	box-sizing: border-box;	/* ズーム時のジャンプを防ぐ */
	width: 24px;
	max-width: 24px;		/* テキストが長すぎる場合、サイズが変更されるのを防ぐ（iOS） */
	min-width: 24px;
	height: 24px;
	min-height: 24px;
	max-height: 24px;
	font-size: 16px;
	font-weight: bold;
	line-height: 18px;
	cursor: pointer;
}
.tileExposed {
	background-color: #a8a8a8;
	border-width: 1px;
	border-color: #787878;
	padding: 1px;
	cursor: default;
}
.tileExploded, .tileIncorrect {
	color: #f20000;
}
.tile1 {
	color: #0a62dd;
}
.tile2 {
	color: #07db38;
}
.tile3 {
	color: #cc4d4d;
}
.tile4 {
	color: #7b03b7;
}
.tile5 {
	color: #2886cd;
}
/* tile0, tile6, tile7, tile8 は、デフォルトの色を利用する */

/*
 * カウンター
 */
div.counter {
	margin: 10px;
	border: 1px inset #d8d8d8;
	padding: 3px;
	width: 3.2em;
	background-color: #000000;
	color: #f20000;
	font-size: 18px;
	font-weight: bold;
	line-height: 1;
	text-align: right;
}
#mines {
	float: left;
}
#timer {
	float: right;
}
#smiley {
	margin: 2px;
	border: 3px groove #d8d8d8;
	padding: 6px;
	vertical-align: middle;
	cursor: pointer;
}
